/*  SSEARCH.PRG 

   AUTHOR : Rainer Kppl-Schfer
   DATE   : Fri  3/13/98
   NOTICE : Copyright (c) 1997 - 1998 by
            RKS-Software
            Rainer Kppl-Schfer
            Goldbergstrasse 9
            D-71065 Sindelfingen

            All Rights Reserved
   VERSION: Clipper 5.2e
   PURPOSE: Test of WILDSRCH-Function with any NTX-File

   Compiling     :  CLIPPER ssearch

   How to use    :  After starting the program enter a NTX-File-Name
                    and a search-argument.
                    SSEARCH then calls WILDSRCH.
                    WILDSRCH returns a array with the search-result
                    SSEARCH show you how many "hits" and the elapsed
                    time - so you can "benchmark" it with the SET FILTER-
                    Command to the same DBF-field.
*/



#include "inkey.ch"

set exclusive off
set scoreboard off
readexit(.t.)
scroll()
@ 1,0 say "Testing WildSearch - A Direct Index File Search"

@ 10,0 say "NTX-File :"
@ 11,0 say "Searching:"

cDBF    := space(40)
cNTX    := space(40)
cSearch := space(30)

WHILE .T.

   @ 17,0 say "Press ESC to quit program.."

   @ 10,11 get cNTX     picture "@K"  // get file name
   @ 11,11 get cSearch  picture "@K"  // get search value
   read
   if lastkey()=K_ESC
      EXIT
   endif
   cNTXFile :=alltrim(cNTX)
   cSrchArg :=upper(alltrim(cSearch))

   nStart   :=seconds()
   aResult  :=WildSrch(cNtxFile,cSrchArg)

   @ 14,0 say "Time elapsed:" + alltrim( str (seconds() -nStart,8,2) )+" seconds"
   @ 15,0 say "Found <"+alltrim(str(len(aResult),5))+"> containing <"+cSrchArg+">.."
   @ 17,0 say "Press any key to continue.."
   inkey(0)
   @ 14,0 clear to 17,maxcol()

ENDDO
QUIT
